File: setup.py

package info (click to toggle)
pytest-astropy-header 0.1.2-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye
  • size: 180 kB
  • sloc: python: 316; makefile: 3
file content (14 lines) | stat: -rwxr-xr-x 440 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
#!/usr/bin/env python

import sys
import setuptools
from distutils.version import LooseVersion
from setuptools import setup

# Setuptools 30.3.0 or later is needed for setup.cfg options to be used
if LooseVersion(setuptools.__version__) < LooseVersion('30.3.0'):
    sys.stderr.write("ERROR: sphinx-automodapi requires setuptools 30.3.0 or "
                     "later (found {0})".format(setuptools.__version__))
    sys.exit(1)

setup()